
import java.io.Serializable;
import java.nio.file.Paths;
import java.util.Date;

public class InfoEngine implements Serializable{
    private String[] contents;
    private Node[] invalidList;
    private String language;
    private long date;


    public String[] getContents() {
        return contents;
    }

    public long getDate() {
        return date;
    }

    public String getLanguage() {
        return language;
    }

    public Node[] getInvalidList() {
        return invalidList;
    }
    
    public void setContents(String[] contents) {
        this.contents = contents;
    }

    public void setDate(long date) {
        this.date = date;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public void setInvalidList(Node[] invalidList) {
        this.invalidList = invalidList;
    }

    public InfoEngine(String[] contents, Node[] invalidList, String language, long date) {
        this.contents = contents;
        this.invalidList = invalidList;
        this.language = language;
        this.date = date;
    }

    public InfoEngine() {
        try {
            language = "all";
            date = new Date(0).getTime();
            contents = java.nio.file.Files.readAllLines(Paths.get(getClass().getResource("List of types.txt").toURI())).toArray(new String[0]);
            invalidList=null;
        } catch (Exception ex) {
            
        }
    }
}