
import java.io.Serializable;

public class Info implements Serializable{
    private String[] contents;
    private Node[] invalidList;
    private String stringDistance,analyzer,query,indexPath;

    public String getAnalyzer() {
        return analyzer;
    }

    public String[] getContents() {
        return contents;
    }

    public String getIndexPath() {
        return indexPath;
    }

    public String getQuery() {
        return query;
    }

    public String getStringDistance() {
        return stringDistance;
    }

    public Node[] getInvalidList() {
        return invalidList;
    }
    
    public void setAnalyzer(String analyzer) {
        this.analyzer = analyzer;
    }

    public void setContents(String[] contents) {
        this.contents = contents;
    }

    public void setIndexPath(String indexPath) {
        this.indexPath = indexPath;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public void setStringDistance(String stringDistance) {
        this.stringDistance = stringDistance;
    }

    public void setInvalidList(Node[] invalidList) {
        this.invalidList = invalidList;
    }

    public Info(String[] contents, Node[] invalidList, String stringDistance, String analyzer, String query, String indexPath) {
        this.contents = contents;
        this.invalidList = invalidList;
        this.stringDistance = stringDistance;
        this.analyzer = analyzer;
        this.query = query;
        this.indexPath = indexPath;
    }

    public Info() {
    }
}