
import java.util.ArrayList;
import java.util.Date;
import java.util.Enumeration;
import javax.swing.DefaultListModel;
import javax.swing.JOptionPane;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.MutableTreeNode;
import javax.swing.tree.TreeNode;

public class Settings extends javax.swing.JDialog {

    private InfoEngine info;

    public Settings(InfoEngine info) {
        initComponents();
        this.info = info;
        lst_invalid.setModel(new DefaultListModel());
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        pnl_content = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tre_types = new javax.swing.JTree();
        jScrollPane2 = new javax.swing.JScrollPane();
        lst_invalid = new javax.swing.JList();
        btn_add = new javax.swing.JButton();
        btn_delete = new javax.swing.JButton();
        pnl_spell = new javax.swing.JPanel();
        chk_persian = new javax.swing.JCheckBox();
        chk_english = new javax.swing.JCheckBox();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        spn_date = new javax.swing.JSpinner();
        btn_save = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Settings");
        setLocationByPlatform(true);
        setResizable(false);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowOpened(java.awt.event.WindowEvent evt) {
                formWindowOpened(evt);
            }
        });

        pnl_content.setBorder(javax.swing.BorderFactory.createTitledBorder("Content types"));

        javax.swing.tree.DefaultMutableTreeNode treeNode1 = new javax.swing.tree.DefaultMutableTreeNode("Content types");
        javax.swing.tree.DefaultMutableTreeNode treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("ChmParser");
        javax.swing.tree.DefaultMutableTreeNode treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-htmlhelp");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-chm");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/chm");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("SourceCodeParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("text/x-c++src");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("text/x-groovy");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("text/x-java-source");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("HtmlParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("text/html");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.wap.xhtml+xml");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-asp");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/xhtml+xml");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("JackcessParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-msaccess");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("OfficeParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-tika-msoffice-embedded; format=ole10_native");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/msword");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.visio");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-project");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-tika-msworks-spreadsheet");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-mspublisher");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-powerpoint");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-tika-msoffice");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/sldworks");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-tika-ooxml-protected");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-outlook");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("OldExcelParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel.workspace.3");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel.workspace.4");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel.sheet.2");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel.sheet.3");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel.sheet.4");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("OOXMLParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-word.document.macroenabled.12");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel.addin.macroenabled.12");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-tika-ooxml");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.openxmlformats-officedocument.wordprocessingml.template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-powerpoint.addin.macroenabled.12");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.openxmlformats-officedocument.spreadsheetml.template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.openxmlformats-officedocument.wordprocessingml.document");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.openxmlformats-officedocument.presentationml.template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-powerpoint.slideshow.macroenabled.12");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.openxmlformats-officedocument.presentationml.presentation");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-powerpoint.presentation.macroenabled.12");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.openxmlformats-officedocument.presentationml.slideshow");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel.template.macroenabled.12");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-excel.sheet.macroenabled.12");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.ms-word.template.macroenabled.12");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("OpenDocumentParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.presentation");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.chart");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.text-web");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.image");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.graphics-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.text-web");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.spreadsheet-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.spreadsheet-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.sun.xml.writer");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.graphics-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.graphics");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.spreadsheet");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.chart");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.spreadsheet");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.image");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.text");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.text-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.formula-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.formula");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.image-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.image-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.presentation-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.presentation-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.text");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.text-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.chart-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.chart-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.formula-template");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.text-master");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.presentation");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/x-vnd.oasis.opendocument.graphics");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.formula");
        treeNode2.add(treeNode3);
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/vnd.oasis.opendocument.text-master");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("PDFParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/pdf");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("RTFParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/rtf");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("TXTParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("text/plain");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        treeNode2 = new javax.swing.tree.DefaultMutableTreeNode("DcXMLParser");
        treeNode3 = new javax.swing.tree.DefaultMutableTreeNode("application/xml");
        treeNode2.add(treeNode3);
        treeNode1.add(treeNode2);
        tre_types.setModel(new javax.swing.tree.DefaultTreeModel(treeNode1));
        tre_types.addTreeSelectionListener(new javax.swing.event.TreeSelectionListener() {
            public void valueChanged(javax.swing.event.TreeSelectionEvent evt) {
                tre_typesValueChanged(evt);
            }
        });
        jScrollPane1.setViewportView(tre_types);

        lst_invalid.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
        lst_invalid.addListSelectionListener(new javax.swing.event.ListSelectionListener() {
            public void valueChanged(javax.swing.event.ListSelectionEvent evt) {
                lst_invalidValueChanged(evt);
            }
        });
        jScrollPane2.setViewportView(lst_invalid);

        btn_add.setIcon(new javax.swing.ImageIcon(getClass().getResource("/add.png"))); // NOI18N
        btn_add.setText("Add to invalid list");
        btn_add.setEnabled(false);
        btn_add.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btn_add.setPreferredSize(new java.awt.Dimension(113, 75));
        btn_add.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        btn_add.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn_addActionPerformed(evt);
            }
        });

        btn_delete.setIcon(new javax.swing.ImageIcon(getClass().getResource("/delete.png"))); // NOI18N
        btn_delete.setText("<html>\n<div align='center'>\nDelete from invalid list\n<div>\n</html>");
        btn_delete.setEnabled(false);
        btn_delete.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btn_delete.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        btn_delete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn_deleteActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout pnl_contentLayout = new javax.swing.GroupLayout(pnl_content);
        pnl_content.setLayout(pnl_contentLayout);
        pnl_contentLayout.setHorizontalGroup(
            pnl_contentLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnl_contentLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 223, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pnl_contentLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(btn_add, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(btn_delete, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 184, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        pnl_contentLayout.setVerticalGroup(
            pnl_contentLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnl_contentLayout.createSequentialGroup()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 287, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
            .addComponent(jScrollPane2)
            .addGroup(pnl_contentLayout.createSequentialGroup()
                .addGap(57, 57, 57)
                .addComponent(btn_add, javax.swing.GroupLayout.PREFERRED_SIZE, 85, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btn_delete, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pnl_spell.setBorder(javax.swing.BorderFactory.createTitledBorder("Language"));

        chk_persian.setText("Persian");

        chk_english.setText("English");

        javax.swing.GroupLayout pnl_spellLayout = new javax.swing.GroupLayout(pnl_spell);
        pnl_spell.setLayout(pnl_spellLayout);
        pnl_spellLayout.setHorizontalGroup(
            pnl_spellLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnl_spellLayout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(chk_persian)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(chk_english)
                .addGap(8, 8, 8))
        );
        pnl_spellLayout.setVerticalGroup(
            pnl_spellLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, pnl_spellLayout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(pnl_spellLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(chk_persian)
                    .addComponent(chk_english))
                .addContainerGap())
        );

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder("Date"));

        jLabel1.setText("Date:");

        spn_date.setModel(new javax.swing.SpinnerDateModel(new java.util.Date(946672200000L), null, new java.util.Date(), java.util.Calendar.DAY_OF_MONTH));

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(spn_date)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(spn_date, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        btn_save.setIcon(new javax.swing.ImageIcon(getClass().getResource("/accept.png"))); // NOI18N
        btn_save.setText("Apply");
        btn_save.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn_saveActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(pnl_spell, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(btn_save, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(pnl_content, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(pnl_content, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(pnl_spell, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(btn_save, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 57, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void tre_typesValueChanged(javax.swing.event.TreeSelectionEvent evt) {//GEN-FIRST:event_tre_typesValueChanged
        if (evt.getNewLeadSelectionPath() != null && evt.getNewLeadSelectionPath().getPathCount() == 3) {
            btn_add.setEnabled(true);
        } else {
            btn_add.setEnabled(false);
        }
    }//GEN-LAST:event_tre_typesValueChanged

    private void lst_invalidValueChanged(javax.swing.event.ListSelectionEvent evt) {//GEN-FIRST:event_lst_invalidValueChanged
        if (evt.getLastIndex() > -1) {
            btn_delete.setEnabled(true);
        } else {
            btn_delete.setEnabled(false);
        }
    }//GEN-LAST:event_lst_invalidValueChanged

    private void btn_addActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn_addActionPerformed
        DefaultTreeModel treemodel = (DefaultTreeModel) tre_types.getModel();
        DefaultListModel model = (DefaultListModel) lst_invalid.getModel();
        DefaultMutableTreeNode root = (DefaultMutableTreeNode) treemodel.getRoot();
        DefaultMutableTreeNode sel = (DefaultMutableTreeNode) tre_types.getSelectionPath().getParentPath().getLastPathComponent();
        int level = 0;
        for (int i = 0; i < 12; i++) {
            if (root.getChildAt(i).equals(sel)) {
                level = i;
                break;
            }
        }
        String value = tre_types.getSelectionPath().getLastPathComponent().toString();
        model.addElement(new Node(level, value));
        treemodel.removeNodeFromParent(((MutableTreeNode) tre_types.getSelectionPath().getLastPathComponent()));
        lst_invalid.setSelectedIndex(0);
    }//GEN-LAST:event_btn_addActionPerformed

    private void btn_deleteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn_deleteActionPerformed
        Node node = (Node) lst_invalid.getSelectedValue();
        DefaultTreeModel treemodel = (DefaultTreeModel) tre_types.getModel();
        DefaultMutableTreeNode root = (DefaultMutableTreeNode) treemodel.getRoot();
        DefaultMutableTreeNode child = (DefaultMutableTreeNode) root.getChildAt(node.level);
        child.add(new DefaultMutableTreeNode(node.value));
        treemodel.reload(root);
        DefaultListModel model = (DefaultListModel) lst_invalid.getModel();
        model.removeElementAt(lst_invalid.getSelectedIndex());
        btn_delete.setEnabled(false);
    }//GEN-LAST:event_btn_deleteActionPerformed

    private void btn_saveActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn_saveActionPerformed
        info.setDate(((Date) spn_date.getValue()).getTime());
        if (chk_english.isSelected() && chk_persian.isSelected()) {
            info.setLanguage("all");
        } else if (chk_english.isSelected()) {
            info.setLanguage("en");
        } else if (chk_persian.isSelected()) {
            info.setLanguage("fa");
        }
        ArrayList<String> contents = new ArrayList<>();
        DefaultTreeModel treemodel = (DefaultTreeModel) tre_types.getModel();
        DefaultMutableTreeNode value = (DefaultMutableTreeNode) treemodel.getRoot();
        Enumeration root = value.children();
        while (root.hasMoreElements()) {
            DefaultMutableTreeNode child = (DefaultMutableTreeNode) root.nextElement();
            Enumeration types = child.children();
            contents.add(child.toString());
            while (types.hasMoreElements()) {
                DefaultMutableTreeNode type = (DefaultMutableTreeNode) types.nextElement();
                contents.add(" " + type.toString());
            }
        }
        info.setContents(contents.toArray(new String[0]));
        ArrayList<Node> invalid = new ArrayList<>();
        DefaultListModel model = (DefaultListModel) lst_invalid.getModel();
        Enumeration list = model.elements();
        while (list.hasMoreElements()) {
            invalid.add((Node) list.nextElement());
        }
        info.setInvalidList(invalid.toArray(new Node[0]));
        dispose();
    }//GEN-LAST:event_btn_saveActionPerformed

    private void formWindowOpened(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowOpened
        try {
            if (info.getLanguage().equals("all")) {
                chk_english.setSelected(true);
                chk_persian.setSelected(true);
            } else if (info.getLanguage().equals("en")) {
                chk_english.setSelected(true);
            } else if (info.getLanguage().equals("fa")) {
                chk_persian.setSelected(true);
            }
            spn_date.setValue(new Date(info.getDate()));
            String[] contents = info.getContents();
            TreeNode root = new DefaultMutableTreeNode("Content types");
            tre_types.setModel(new DefaultTreeModel(root));
            DefaultTreeModel treemodel = (DefaultTreeModel) tre_types.getModel();
            DefaultMutableTreeNode rootNode = (DefaultMutableTreeNode) treemodel.getRoot();
            DefaultMutableTreeNode childNode = null;
            for (String str : contents) {
                if (str.charAt(0) == ' ') {
                    childNode.add(new DefaultMutableTreeNode(str.substring(1)));
                } else {
                    rootNode.add(new DefaultMutableTreeNode(str));
                    childNode = (DefaultMutableTreeNode) root.getChildAt(root.getChildCount() - 1);
                }
            }
            treemodel.reload(root);
            DefaultListModel model = (DefaultListModel) lst_invalid.getModel();
            if(info.getInvalidList() != null)
                for (Node node : info.getInvalidList()) {
                    model.addElement(node);
                }
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(null, ex.getMessage(), "Error", JOptionPane.ERROR_MESSAGE);
        }
    }//GEN-LAST:event_formWindowOpened


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btn_add;
    private javax.swing.JButton btn_delete;
    private javax.swing.JButton btn_save;
    private javax.swing.JCheckBox chk_english;
    private javax.swing.JCheckBox chk_persian;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JList lst_invalid;
    private javax.swing.JPanel pnl_content;
    private javax.swing.JPanel pnl_spell;
    private javax.swing.JSpinner spn_date;
    private javax.swing.JTree tre_types;
    // End of variables declaration//GEN-END:variables
}
